|  | Home · All Classes · Modules

# QTextFormat.PageBreakFlags Class Reference
[QtGui module]

### Methods

- __init__ (self, PageBreakFlags f)
- __init__ (self)

### Special Methods

- PageBreakFlags __and__ (self, int mask)
- bool __eq__ (self, PageBreakFlags f)
- PageBreakFlags __iand__ (self, int mask)
- int __int__ (self)
- PageBreakFlags __invert__ (self)
- PageBreakFlags __ior__ (self, PageBreakFlags f)
- PageBreakFlags __ixor__ (self, PageBreakFlags f)
- bool __ne__ (self, PageBreakFlags f)
- int __nonzero__ (self)
- PageBreakFlags __or__ (self, PageBreakFlags f)
- PageBreakFlags __xor__ (self, PageBreakFlags f)

## Detailed Description

PageBreakFlag may be used whenever PageBreakFlags is expected.

## Method Documentation

### PageBreakFlags.__init__ (self, PageBreakFlags f)

### PageBreakFlags.__init__ (self)

### PageBreakFlags PageBreakFlags.__and__ (self, int mask)

### bool PageBreakFlags.__eq__ (self, PageBreakFlags f)

### PageBreakFlags PageBreakFlags.__iand__ (self, int mask)

### int PageBreakFlags.__int__ (self)

### PageBreakFlags PageBreakFlags.__invert__ (self)

### PageBreakFlags PageBreakFlags.__ior__ (self, PageBreakFlags f)

### PageBreakFlags PageBreakFlags.__ixor__ (self, PageBreakFlags f)

### bool PageBreakFlags.__ne__ (self, PageBreakFlags f)

### int PageBreakFlags.__nonzero__ (self)

### PageBreakFlags PageBreakFlags.__or__ (self, PageBreakFlags f)

### PageBreakFlags PageBreakFlags.__xor__ (self, PageBreakFlags f)